Subject: Re: bug#42812: 27.1; (wrong-type-argument stringp (require . info))

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Aug 2020 08:48:24 -0700

Dmitrii Kuragin <[email-masked]> writes:

> Clean emacs with intalled a couple of packages (helm and dash). The
> problem appears when I install `dash` and adter some investigation the
> root cause is generated file `dir`. Once I deleted the file, everything
> operating normally. I createad a bug for dash.el
> (https://github.com/magnars/dash.el/issues/343) package, but looks like
> the issue is in Emacs 27.1, I also experienced the same issue with all
> pretest version. After rolling back to 26.3 everythng work well.

The issue you linked is talking about emacsformacosx.com.  Are you using
that?

> In GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1894.50 Version 10.15.5 (Build 19F101))
>  of 2020-08-11 built on kuragin-macbookpro.roam.corp.google.com
> Windowing system distributor 'Apple', version 10.3.1894
> System Description:  Mac OS X 10.15.5

Best regards,
Stefan Kangas